//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.7 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.12.16 at 05:20:29 PM CET 
//


package net.unnitech.primanotafacile;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for entryBalance complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="entryBalance">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="entry_id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="entry_date" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="document_number" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="document_date" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id_operation_type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="incoming_value_bank" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="outgoing_value_bank" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id_bank" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id_contact" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="out_cash" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="incoming_value_cash" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="outgoing_value_cash" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="balance_bank" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="balance_cash" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "entryBalance", propOrder = {
    "entryId",
    "entryDate",
    "documentNumber",
    "documentDate",
    "idOperationType",
    "description",
    "incomingValueBank",
    "outgoingValueBank",
    "idBank",
    "idContact",
    "outCash",
    "incomingValueCash",
    "outgoingValueCash",
    "balanceBank",
    "balanceCash"
})
public class EntryBalance {

    @XmlElement(name = "entry_id", required = true)
    protected String entryId;
    @XmlElement(name = "entry_date", required = true)
    protected String entryDate;
    @XmlElement(name = "document_number", required = true)
    protected String documentNumber;
    @XmlElement(name = "document_date", required = true)
    protected String documentDate;
    @XmlElement(name = "id_operation_type", required = true)
    protected String idOperationType;
    @XmlElement(required = true)
    protected String description;
    @XmlElement(name = "incoming_value_bank", required = true)
    protected String incomingValueBank;
    @XmlElement(name = "outgoing_value_bank", required = true)
    protected String outgoingValueBank;
    @XmlElement(name = "id_bank", required = true)
    protected String idBank;
    @XmlElement(name = "id_contact", required = true)
    protected String idContact;
    @XmlElement(name = "out_cash", required = true)
    protected String outCash;
    @XmlElement(name = "incoming_value_cash", required = true)
    protected String incomingValueCash;
    @XmlElement(name = "outgoing_value_cash", required = true)
    protected String outgoingValueCash;
    @XmlElement(name = "balance_bank", required = true)
    protected String balanceBank;
    @XmlElement(name = "balance_cash", required = true)
    protected String balanceCash;

    /**
     * Gets the value of the entryId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntryId() {
        return entryId;
    }

    /**
     * Sets the value of the entryId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntryId(String value) {
        this.entryId = value;
    }

    /**
     * Gets the value of the entryDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntryDate() {
        return entryDate;
    }

    /**
     * Sets the value of the entryDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntryDate(String value) {
        this.entryDate = value;
    }

    /**
     * Gets the value of the documentNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentNumber() {
        return documentNumber;
    }

    /**
     * Sets the value of the documentNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentNumber(String value) {
        this.documentNumber = value;
    }

    /**
     * Gets the value of the documentDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentDate() {
        return documentDate;
    }

    /**
     * Sets the value of the documentDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentDate(String value) {
        this.documentDate = value;
    }

    /**
     * Gets the value of the idOperationType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdOperationType() {
        return idOperationType;
    }

    /**
     * Sets the value of the idOperationType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdOperationType(String value) {
        this.idOperationType = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the incomingValueBank property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIncomingValueBank() {
        return incomingValueBank;
    }

    /**
     * Sets the value of the incomingValueBank property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIncomingValueBank(String value) {
        this.incomingValueBank = value;
    }

    /**
     * Gets the value of the outgoingValueBank property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOutgoingValueBank() {
        return outgoingValueBank;
    }

    /**
     * Sets the value of the outgoingValueBank property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOutgoingValueBank(String value) {
        this.outgoingValueBank = value;
    }

    /**
     * Gets the value of the idBank property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdBank() {
        return idBank;
    }

    /**
     * Sets the value of the idBank property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdBank(String value) {
        this.idBank = value;
    }

    /**
     * Gets the value of the idContact property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdContact() {
        return idContact;
    }

    /**
     * Sets the value of the idContact property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdContact(String value) {
        this.idContact = value;
    }

    /**
     * Gets the value of the outCash property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOutCash() {
        return outCash;
    }

    /**
     * Sets the value of the outCash property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOutCash(String value) {
        this.outCash = value;
    }

    /**
     * Gets the value of the incomingValueCash property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIncomingValueCash() {
        return incomingValueCash;
    }

    /**
     * Sets the value of the incomingValueCash property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIncomingValueCash(String value) {
        this.incomingValueCash = value;
    }

    /**
     * Gets the value of the outgoingValueCash property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOutgoingValueCash() {
        return outgoingValueCash;
    }

    /**
     * Sets the value of the outgoingValueCash property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOutgoingValueCash(String value) {
        this.outgoingValueCash = value;
    }

    /**
     * Gets the value of the balanceBank property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBalanceBank() {
        return balanceBank;
    }

    /**
     * Sets the value of the balanceBank property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBalanceBank(String value) {
        this.balanceBank = value;
    }

    /**
     * Gets the value of the balanceCash property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBalanceCash() {
        return balanceCash;
    }

    /**
     * Sets the value of the balanceCash property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBalanceCash(String value) {
        this.balanceCash = value;
    }

}
